<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.hyperlink.HyperLink&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.h.HyperLink(<a href="kiwi.utils.PropertyObject.html">PropertyObject</a>, <span title="gtk.EventBox">gtk.EventBox</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.hyperlink.html">hyperlink</a></span>
      
      <a href="classIndex.html#kiwi.ui.hyperlink.HyperLink">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div class="undocumented">No class docstring</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id263">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#__init__">__init__</a></td>
    <td><span>Create a new hyperlink.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#get_text">get_text</a></td>
    <td><span>Return the hyperlink text.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#set_text">set_text</a></td>
    <td><span>Set the text of the hyperlink.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#set_menu">set_menu</a></td>
    <td><span>Set the menu to be used for popups.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#has_menu">has_menu</a></td>
    <td><span>Return whether the widget has a menu set.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#popup">popup</a></td>
    <td><span>Popup the menu and emit the popup signal.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#clicked">clicked</a></td>
    <td><span>Fire a clicked signal.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#get_label">get_label</a></td>
    <td><span>Get the internally stored widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_update_look">_update_look</a></td>
    <td><span>Update the look of the hyperlink depending on state.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_build_markup">_build_markup</a></td>
    <td><span>Build a marked up string depending on parameters.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_on_button_press_event">_on_button_press_event</a></td>
    <td><span>Called on mouse down.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_on_button_release_event">_on_button_release_event</a></td>
    <td><span>Called on mouse up.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_on_hover_changed">_on_hover_changed</a></td>
    <td><span>Called when the mouse pinter enters or leaves the widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_on_notify">_on_notify</a></td>
    <td><span>Called on property notification.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.hyperlink.HyperLink.html#_on_map_event">_on_map_event</a></td>
    <td><span>Called on initially mapping the widget.
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.utils.PropertyObject.html">PropertyObject</a>:
        </p>
        <table class="children sortable" id="id264">
  
  
  
  
  <tr class="baseclassmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#__class_init__">__class_init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#__post_init__">__post_init__</a></td>
    <td><span>A hook which is called after the constructor is called.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#_set">_set</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#_get">_get</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#get_attribute_names">get_attribute_names</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#is_default_value">is_default_value</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#do_set_property">do_set_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#do_get_property">do_get_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, text=None, menu=None):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.utils.PropertyObject.html#__init__">kiwi.utils.PropertyObject.__init__</a></div>
          <div>Create a new hyperlink.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">text</td><td>The text of the hyperlink.
 (type: str
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.get_text"></a>
        <a name="get_text"></a>
        <div class="functionHeader">
        
        def get_text(self):
        
      </div>
        <div class="functionBody">
          
          <div>Return the hyperlink text.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.set_text"></a>
        <a name="set_text"></a>
        <div class="functionHeader">
        
        def set_text(self, text):
        
      </div>
        <div class="functionBody">
          
          <div>Set the text of the hyperlink.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">text</td><td>The text to set the hyperlink to.
 (type: str
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.set_menu"></a>
        <a name="set_menu"></a>
        <div class="functionHeader">
        
        def set_menu(self, menu):
        
      </div>
        <div class="functionBody">
          
          <div>Set the menu to be used for popups.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">menu</td><td>the gtk.Menu to be used.
 (type: gtk.Menu
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.has_menu"></a>
        <a name="has_menu"></a>
        <div class="functionHeader">
        
        def has_menu(self):
        
      </div>
        <div class="functionBody">
          
          <div>Return whether the widget has a menu set.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">a boolean value indicating whether the internal menu has been set.
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.popup"></a>
        <a name="popup"></a>
        <div class="functionHeader">
        
        def popup(self, menu=None, button=3, etime=0L):
        
      </div>
        <div class="functionBody">
          
          <div>Popup the menu and emit the popup signal.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">menu</td><td>The gtk.Menu to be popped up. This menu will be used instead of the 
internally set menu. If this parameter is not passed or None, the internal 
menu will be used.
 (type: gtk.Menu
)</td></tr><tr><td></td><td class="fieldArg">button</td><td>An integer representing the button number pressed to cause the popup 
action.
 (type: int
)</td></tr><tr><td></td><td class="fieldArg">etime</td><td>The time that the popup event was initiated.
 (type: long
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.clicked"></a>
        <a name="clicked"></a>
        <div class="functionHeader">
        
        def clicked(self):
        
      </div>
        <div class="functionBody">
          
          <div>Fire a clicked signal.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink.get_label"></a>
        <a name="get_label"></a>
        <div class="functionHeader">
        
        def get_label(self):
        
      </div>
        <div class="functionBody">
          
          <div>Get the internally stored widget.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._update_look"></a>
        <a name="_update_look"></a>
        <div class="functionHeader">
        
        def _update_look(self):
        
      </div>
        <div class="functionBody">
          
          <div>Update the look of the hyperlink depending on state.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._build_markup"></a>
        <a name="_build_markup"></a>
        <div class="functionHeader">
        
        def _build_markup(self, text, color, underline, bold):
        
      </div>
        <div class="functionBody">
          
          <div>Build a marked up string depending on parameters.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._on_button_press_event"></a>
        <a name="_on_button_press_event"></a>
        <div class="functionHeader">
        
        def _on_button_press_event(self, eventbox, event):
        
      </div>
        <div class="functionBody">
          
          <div><p>Called on mouse down.</p>
Behaves in 2 ways.
<ol start="1">
  <li>
    if left-button, register the start of a click and grab the 
    mouse.
  </li>
</ol>
<ol start="1">
  <li>
    if right-button, emit a right-clicked signal +/- popup the menu.
  </li>
</ol>
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._on_button_release_event"></a>
        <a name="_on_button_release_event"></a>
        <div class="functionHeader">
        
        def _on_button_release_event(self, eventbox, event):
        
      </div>
        <div class="functionBody">
          
          <div><p>Called on mouse up.</p>
If the left-button is released and the widget was earlier activated by a
mouse down event a clicked signal is fired.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._on_hover_changed"></a>
        <a name="_on_hover_changed"></a>
        <div class="functionHeader">
        
        def _on_hover_changed(self, eb, event, hover):
        
      </div>
        <div class="functionBody">
          
          <div>Called when the mouse pinter enters or leaves the widget.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">hover</td><td>Whether the mouse has entered the widget.
 (type: boolean
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._on_notify"></a>
        <a name="_on_notify"></a>
        <div class="functionHeader">
        
        def _on_notify(self, eventbox, param):
        
      </div>
        <div class="functionBody">
          
          <div><p>Called on property notification.</p>
Ensure that the look is up to date with the properties
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.hyperlink.HyperLink._on_map_event"></a>
        <a name="_on_map_event"></a>
        <div class="functionHeader">
        
        def _on_map_event(self, eventbox, event):
        
      </div>
        <div class="functionBody">
          
          <div><p>Called on initially mapping the widget.</p>
Used here to set the cursor type.
<table class="fieldTable"></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>